@font-face {
    font-family: "Mojangles";
    src: url("Fonts/mojangles.ttf") format("truetype");
}

@keyframes jitter {
    0%   { transform: translate(0px, 0px); }
    25%  { transform: translate(1px, -1px); }
    50%  { transform: translate(-1px, 1px); }
    75%  { transform: translate(1px, 1px); }
    100% { transform: translate(0px, 0px); }
}

body {
    background-color: #001000;
    color: #e6e6ff;
    font-family: "Mojangles", sans-serif;
    letter-spacing: 0.5px;
    line-height: 1.4;
    text-rendering: crisp-edges;
    -webkit-font-smoothing: none;
    margin: 0;
}

header {
    background-color: #001c01;
    padding: 20px;
    text-align: center;
    border-bottom: 2px solid #00ff11;
    position: relative;
}

footer {
    margin-top: 20px;
    text-align: center;
}

/* Custom Elements*/

.censored {
    position: relative;
    display: inline;
    color: transparent;
    user-select: none;
}

.censored::before {
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 0;

    color: transparent;
    background: black;
    
    padding: 0 2px;
    border-radius: 2px;

    animation: jitter 0.12s infinite;
    white-space: pre;
}

.censored::after {
    content: attr(data-text);
    visibility: hidden;
}

.logo {
    position: absolute;
    left: 5px;
    top: 50%;
    transform: translateY(-50%);
    width: 40px;
    height: 40px;
}

/* Layout */

.collection {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    margin-top: 50px;
}

.card {
    background-color: #003203;
    padding: 20px;
    border: 1px solid #002c15;
    flex: 1;
}

.oldcard {
    background-color: #003203;
    padding: 20px;
    margin-top: 20px;
    border-radius: 0;
    border: 1px solid #002c15;
}

.pagebar {
    color: #00ff11;
    text-decoration: none;
}